View Issue Details

IDProjectCategoryView StatusLast Update
0001156Enderal[All Projects] Balancingpublic2020-02-17 01:38
ReporterSidian42Assigned Tostuemper 
PriorityhighSeveritymajorReproducibilityN/A
Status resolvedResolutionfixed 
Summary0001156: Phasmalist: Bugs und Balancing, Klasse/Spielstil viel zu schwach
DescriptionNachdem ich einen Phasmalisten und Elementaristen etwa gleich weit gespielt habe muss ich sagen:
Der Phasmalist ist extrem schwach. Das könnte auch auf Bugs mit den Talenten zurückzuführen sein.

Erstmal der Vergleich, den ich gemacht habe:

Mit dem Elementaristen und Rang 2 Feuerball habe ich drei Wölfe östlich vom Myradenturm im Hinteren Herzland bekämpft. 2 Feuerbälle bzw. ein großer reichen pro Wolf. Alternativ kann eine Schocknova auch alle onehitten.

Mit dem Phasmalisten habe ich Marius Dal'Goldfurt mit Feuerball Rang 1 und Feuerrune Rang 1 ausgrüstet. Er zaubert jedoch nur gleißende Blitze und bekommt mit seiner kompletten Manaleiste nicht einen einzigen Wolf tot (die Erinnerung "Phasmalist: Fokus - Schamane" ist auf Rang 3!). Ohne den gleißenden Blitz versucht er, die Feuerrune zu zaubern, aber scheinbar geht das bei NPCs nicht: Sein Mana geht leer, aber es passiert nichts. Ohne Feuerrune und Gleißender Blitz zaubert er dann auch die Feuerbälle und bekommt damit auch einen Wolf tot. Von dreien. Einen zweiten kann er noch halb runter schießen ehe sein Mana leer ist. Klar, mit Feuerball Rang 2 würde er auch mehr Schaden machen, aber sein Mana würde nicht viel länger halten und er würde auch nicht mehr Gegner töten können, lediglich schneller.
Rugar Einauge schafft es mit einer Runenschlachtaxt immerhin, es mit den drei Wölfen aufzunehmen und alle mit 2-3 Schlägen zu töten, auch wenn trotzdem nicht gerade schnell geht, vor allem wenn nach 2 kraftvollen Angriffen die Ausdauer leer ist.
Yera Schattenlied, ausgerüstet mit einem Elitebogen des dritten Siegels (!), kann die Wölfe zwar mit 2 Schüssen töten, aber das dauert extrem lange, weil sie halt immer mehrere Sekunden zum zielen braucht und auch häufig verfehlt. Die Leistung der Fernkampf-Erscheinung mit einem starken Bogen ist extrem enttäuschend.

Eine der Ursachen für die schwachen Erscheinungen könnte, wie gesagt, ein Bug bei den Talenten sein:
Die Ränge der "Phasmalist: Fokus" Talente stapeln sich nicht. "Phasmalist: Fokus - Schamane" auf Rang 3 gibt lächerliche 35 Mana und 13% mehr Schaden mit Zaubern für 3 Erinnerungspunke! "Phasmalist: Fokus - Trickreich" Rang 3 entsprechend auch nur 23% kritische Trefferchance und 13 Punkte auf die Bogenfertigkeit, und "Phasmalist: Fokus - Gewalt" Rang 3 nur 13 Punkte in den Rüstungsklassen und 13% mehr Nahkampfschaden.
Da die 3 Ränge zusammen schön runde Zahlen ergeben (20% Nahkampf- und Zauberschaden, 40% kritische Trefferchance, 20 Punkte in Rüstungs- und Bogenfertigkeiten, 75 Mana) gehe ich zumindest davon aus, dass das ein Bug ist. Aber trotzdem kommen mir die Magier-Erscheinungen ziemlich schwach vor, und ihnen dauernd manuell das Mana aufzufüllen ist auch eher nervig als spaßig.

Außerdem scheint die kritische Trefferchance überhaupt keine Anwendung zu finden. Mit "Phasmalist: Fokus - Trickreich" Rang 3 sollte im Durchschnitt mehr als jeder fünfte Treffer kritisch sein (23% Chance) - ich habe einen Spielstand vor den Wölfen 10 mal geladen, nicht ein einziges Mal hat Yera Schattenlied einen Wolf mit nur einem Pfeil getötet (ob der zweite Treffer kritisch war lässt sich schlecht feststellen, aber bei ca. 10 mal 3 Versuchen sollten selbst mit viel Pech 1-2 kritische Treffer auf Wölfe mit vollem Leben dabei sein). Selbst wenn der kritische Bonus 50% statt 100% wäre, hätten die Wölfe bei einem kritischen Treffer tot sein müssen, aber das ist nicht passiert.

Neben den Bugs sollte man sich vielleicht auch nochmal das Balancing anschauen und vielleicht die Talente vielleicht noch erweitern, z.B.:
"Phasmalist: Fokus - Schamane" erhöht auch die Manaregeneration um X, "Phasmalist: Fokus - Gewalt" erhöht auch die Ausdauerregeneration um X und "Phasmalist: Fokus - Trickreich" die Bewegungsgeschwindigkeit der Erscheinungen beim Zielen auf Rang 2 und die Geschwindigkeit beim Spannen des Bogens auf Rang 3 oder so.
Insgesamt fühlt es sich extrem zäh an, einen Phasmalisten zu spielen. Anfangs geht das noch, und vielleicht kann man das viel später mit übertrieben starken Verzauberungen wieder ausgleichen, aber für mich fühlt sich aktuell (level 18) jeder Erinnerungspunkt im Phasmalist-Baum verschwendet an und es ist schon fast frustrierend, wenn ich mit meinem level 17 Elementaristen den selben Content in einem Bruchteil der Zeit und vor allem sehr viel stressfreier schaffe (mit einem Sinistropen, den ich vor über 2 Jahren mal angefangen habe, war es ähnlich wie beim Elementaristen). Mit einem Stab der Heilung dauernd auf Rugar Einauge zu spammen, damit der bei manchen Gegnern bloß nicht umkippt (und dabei hoffen dass man nicht aus Versehen einen Gegner heilt), ist auch alles andere als spaßig.

Ein anderes Problem ist ja auch, dass man die Erscheinungen nicht im Kampf beschwören kann. Wenn sie sterben fehlt einem für die restliche Dauer des Kampfes glatt der wichtigste Teil der ganzen Klasse. Und dazu kommt noch, dass man kein verzaubertes Amulett nutzen kann und Arkanistenfieber bekommt, wenn sie sterben. Das fühlt sich alles zu sehr nach "für den Spielstil bestrafen" an, oder nach "ich muss viel zu viel Arbeit in diesen Spielstil stecken, damit er überhaupt funktioniert". Wenn man schon Arkanistenfieber beim Tod einer Erscheinung bekommt, dann sollte man sie auch erneut im Kampf beschwören können. Ich finde es auch krass, was für Kosten ich teilweise zum Ausrüsten der Erscheinungen zahlen muss - 54 Knochenstaub/Ektoplasma und 34 Seelensteine um dem Magier zwei Rang 2 Zauber auszurüsten? Zumal der den Rüstungszauber, den ich ihm gegeben habe, gar nicht nutzt...

Hab's mal als "schwerer Fehler" eingeordnet weil sich die Klasse für mich mittlerweile nahezu "unspielbar" anfühlt. Vor allem nachdem ich einen Elementaristen auf die gleiche Stufe mit etwa den selben Fortschritt gespielt habe.

Ich hänge diesem Beitrag mal die 4 save files an, mit denen ich das Ganze getestet habe. 168, 169 und 170 sind die drei Versionen mit Marius Dal'Goldfurt: 168 ist die Version mit Blitz, Feuerball und Feuerrune, bei 169 hat er keinen Blitz mehr und verbraucht Mana ohne zu zaubern und bei 170 nutzt er den Feuerball. 171 ist die Version mit Yera und 3 Punkten in "Phasmalist: Fokus - Trickreich" anstatt "Phasmalist: Fokus - Schamane". Rugar Einauge ist bei allen save files gleich ausgerüstet.
TagsNo tags attached.
VersionGerman

Relationships

has duplicate 0001168 closed Fehler bei "Phasmalist: Fokus" Talenten, Ränge 1 und 2 "inaktiv" 

Activities

Sidian42

2019-03-04 18:42

reporter  

Saves.rar (6,036,023 bytes)

Sidian42

2019-03-04 19:11

reporter   ~0002358

Ich hoffe das war nicht zu unverschämt von mir, die Prio auf "hoch" und die Auswirkung auf "schwerer Fehler" zu setzen. :P

stuemper

2020-02-17 01:38

administrator   ~0003367

Im nächsten patch wird eine ganze Menge Bugs an der Phasmalistenklasse gefixt sein, sodass sie nicht mehr so " schwach" ist (einige Perks hatten nicht richtig funktioniert, Combat style konnte nicht gewechselt werden usw.)
U.a. wird zumindest vorrübergehend die Erscheinung auch im Kampf beschwörbar sein.
Alles weitere wird dann auf erneutes Feedback angepasst.

Issue History

Date Modified Username Field Change
2019-03-04 18:42 Sidian42 New Issue
2019-03-04 18:42 Sidian42 File Added: Saves.rar
2019-03-04 19:11 Sidian42 Note Added: 0002358
2020-01-26 00:19 stuemper Relationship added has duplicate 0001168
2020-02-17 01:38 stuemper Assigned To => stuemper
2020-02-17 01:38 stuemper Status new => resolved
2020-02-17 01:38 stuemper Resolution open => fixed
2020-02-17 01:38 stuemper Note Added: 0003367